#include "bindmorecard.h"
#include <config_file.h>

extern config_file config;

RemoteCardFactory::RemoteCardFactory(cardMgr * owner)
		:CardFactory(owner)
{
	int remote_hours = config.get("BindMoreCard.timeAlarm_remote",1);
	m_remote_slot =(int)((remote_hours*60 *60*1000)/TIME_WIN_MILLISEC);
	std_info("remote:%d",m_remote_slot);
}

CloserCardFactory::CloserCardFactory(cardMgr * owner)
		:CardFactory(owner)
{
	int closer_hours = config.get("BindMoreCard.timeAlarm_closer",3);
	m_closer_slot =(int)((closer_hours*60*60*1000)/TIME_WIN_MILLISEC);
	std_info("closer:%d",m_closer_slot);
}
